DVI to ADC hell !!!!

Discussion in 'Macintosh Computers' started by xs2004, Jun 28, 2004.

  1. macrumors newbie

    Joined:
    Jun 28, 2004
    #1
    I have two G4 towers, one old and one new.

    I recently purchased two beautiful 20" apple flat panel cinema displays.

    On the newer G4 (running OS9.2.2) everything was peachy, plugged in the display, booted up and fired away!!

    HOWEVER, on the older G4 (running OS 9.1) life wasn't so peachy, the connection on the graphics card is differrent to that on the newer machine, i got on to my supplier who sold me an Apple DVI to ADC adapter and told me everrything would be fine!!

    I connected up my adapter and monitor but all i am getting is a black screen..

    Can anyone help me with this problem...
    And no i can't update the mac to 9.2 because my wamnet transmission manager will only work on 9.1 !!!

    HELP - boss will kill me if problem is not resolved :)
     
  2. macrumors 65816

    Laslo Panaflex

    Joined:
    May 1, 2003
    Location:
    Tokyo
    #2
    Maybe update the video card driver and see if that fixes the problem.

    Good Luck.
     
  3. macrumors 65816

    ChrisFromCanada

    Joined:
    May 3, 2004
    Location:
    Hamilton, Ontario (CANADA)
    #3
    The only thing I can suggest is: When you connected the adapter did you plug in the power first (before you connected the monitor, USB, DVI cable) because if you did I have heard that you can do serious damage to the internal parts. I really don't know if this is true maybe someone else could confirm this. It just something I have heard maybe you could test to confirm none of your part have been damaged.

    I wish I could give you better news! :eek:
     
  4. thread starter macrumors newbie

    Joined:
    Jun 28, 2004
  5. macrumors newbie

    Joined:
    Jun 29, 2004
    #5
    Double-check Apple's support website. Certain video cards (the Rage 128 among them IIRC) require MacOS 9.2.2 when used with the DVI-ADC converter.
     
  6. macrumors newbie

    Joined:
    Jul 9, 2002
    Location:
    Seattle
    #6
    I have a 20" Cinema display also, and I remember reading somewhere that it required Mac OS X or higher.
     
  7. macrumors 6502

    stephenli

    Joined:
    Jul 1, 2004
    #7
    yes, ChrisFromCanada, my colleague burnt the adapter in the way you described...poor..

    I did heard that for OS9 and 20 inch display, Apple claimed that it couldn't support OS9, however what is not support is not more then just for brightness adjustment.

    I have also encountered problem in using OS9.1 and the adapter (with 17 inch display), and the way to solve this was to copy those "new version" of extension from a OS9.2 machine to your OS9.1
    hope it is work in your case....good luck....

    By the way, I have ordered an "old" 23 inch Cinema HD display in last minute, which my G4 (400mhz AGP) do not support....any suggestion for a cheapest display card upgrade?
     

Share This Page